<!DOCTYPE html>
<html lang="en">

<head>
    {% with custom_css="./css/questionaire-administration-form-custom.css", title="Fragebogen Verwaltung",
    meta_description="Serviceblick Questionaire Administration" %}
    {% include 'snippets/global-header-include.tpl' %}
    {% endwith %}
</head>

<body id="page-top" class="az-body">
    <div id="contentwrapper" class="az-body">
        <div class="az-header">
            <div class="container">
                <div class="az-header-left">
                    <a href="index.html" class="az-logo">
                        <img class="az-logo" src="/style-global/img/icons/clipboard.png" alt="Fragebogen Verwaltung">
                    </a>
                    <a href="" id="azContentBodyHide" class="az-header-arrow d-md-none">
                        <i class="icon ion-md-arrow-back"></i>
                    </a>
                    <img class="sub-branding-logo d-block d-lg-none pl-2" src="/style-global/img/icons/clipboard.png"
                         alt="Fragebogen Verwaltung">
                    <span class="nav-link text-dark tx-20  d-none d-lg-block" data-i18n="CS:Questionare Administration"></span>
                </div>
                <div class="az-header-menu">
                    <div class="az-header-menu-header">
                        <a href="questionaire_editor.html" class="az-logo"><span></span><img class="az-logo"
                                                                               src="/style-global/img/icons/clipboard.png"
                                                                               alt="Fragebogen Verwaltung"></a>
                        <a href="" class="close">&times;</a>
                    </div>
                </div>
                <div class="az-header-right">
                    {#% include 'snippets/header-news-menu.tpl' %#}

                    <!-- logout as single button -->
                    {% include 'snippets/header-apps-menu.tpl' %}
                    {% include 'snippets/header-profile-menu.tpl' %}
                </div>
            </div>
        </div>

        <div class="container" id="editor_container">
            <div class="form-container">
                <div class="form-row">
                    <div class="form-group col-12" >
                        <label for="questionaire_dropdown" class="text-muted mg-b-0"><span data-i18n="Questionaires">Questionaires</span> <span class="tx-danger">*</span></label>
                        <select id="questionaire_dropdown" class="text-muted form-control">
                            <!-- Options are filled from js render-export.js -->
                        </select>
                    </div>
                </div>
                <div class="form-row hidden" id="questionaire_dropdown_id">
                    <label for="questionaire_dropdown" class="text-muted mg-b-0" ><i class="fa fa-exclamation-triangle tx-20 op-6 mr-1"></i> <span data-i18n="A questionnaire must be selected.">A questionnaire must be selected.</span></label>
                </div>

                <div class="form-row hidden">
                    <div class="form-group col-12">
                        <label for="chosenQuestionnaire" class="text-muted mg-b-0" data-i18n="Search Term"><i class="far fa-file-alt tx-24 lh--9 op-6 mr-1"></i><span data-i18n="Search Term">Search Term</span></label>
                        <input id="chosenQuestionnaire" type="text" class="form-control" placeholder="....">
                    </div>
                </div>

                <div class="form-row d-flex align-items-end justify-content-end">
                    <div id="share-event" class="form-group col-12 col-md-2 d-flex justify-content-end ">
                        <button data-permission="beta_access" id="shareButton" style="width: 50px; height: 37px;" class="" data-toggle="modal"> <i class="fa fa-share-alt tx-16"></i></button>
                    </div>
                    <div class="form-group col-12 col-md-2 d-flex">
                        <button data-permission="beta_access" id="showQuestionaire" type="submit" data-i18n="Choose">Choose</button>
                    </div>
                </div>
            </div>

            <div id="questionaire_editor">

            </div>
        </div>
    </div>

    <div class="modal" id="timerInfoModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" data-i18n="Questionaire Config Editor">Questionaire Config Editor</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="legend-container">
                    <div class="section">
                        <h5 data-i18n="General Section">General Section</h5>
                            <ul>
                                <li><strong data-i18n="Id">Id</strong> <span data-i18n="Here you choose an ID, which will be used in the system for the questionnaire.">Here you choose an ID, which will be used in the system for the questionnaire.</span></li>
                                <li><strong data-i18n="Title">Title</strong> <span data-i18n="Title of the questionaire.">Title of the questionaire.</span></li>
                                <li><strong data-i18n="Description">Description</strong> <span data-i18n="Description of the questionaire.">Description of the questionaire.</span></li>
                            </ul>
                    </div>

                    <div class="section">
                        <h5 data-i18n="Questions Section">Questions Section</h5>
                        <span data-i18n="Currently, you have the following options available:">Currently, you have the following options available:</span><br/><br/>

                        <div id="accordion" class="accordion" role="tablist" >
                            <div class="card">
                                <div class="card-header" role="tab" id="headingOne">
                                    <a data-toggle="collapse" href="#collapseOne" aria-expanded="false" aria-controls="collapseOne" class="collapsed">
                                        <strong data-i18n="SELECT">SELECT</strong>
                                    </a>
                                </div><!-- card-header -->

                                <div id="collapseOne" data-parent="#accordion" class="collapse" role="tabpanel" aria-labelledby="headingOne" style="">
                                    <div class="card-body json_card_body">
                                        { "answer": { "type": "select", "select_options": [ { "id": "a1_1", "label": "Ja", "value": "1" }, { "id": "a1_2", "label": "Nein", "value": "0" } ] }, "question": { "id": "q1", "next": "q2", "text": "Daten Speichern?:", "previous": "" } }
                                    </div>
                                </div>
                            </div>

                            <div class="card">
                                <div class="card-header" role="tab" id="headingTwo">
                                    <a class="collapsed" data-toggle="collapse" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo" class="text-muted">
                                        <strong data-i18n="MULTI-SELECT">MULTI-SELECT</strong>
                                    </a>
                                </div>
                                <div id="collapseTwo" class="collapse" data-parent="#accordion" role="tabpanel" aria-labelledby="headingTwo">
                                    <div class="card-body">
                                        { "answer": { "type": "multiselect", "select_options": [ { "id": "a1_1", "label": "Zeitung", "value": "a2_1" }, { "id": "a1_2", "label": "SocialMedia", "value": "a2_2" }, { "id": "a1_3", "label": "Bekannte", "value": "a2_3" } ] }, "question": { "id": "q1", "next": "q2", "text": "Aufmerksam geworden durch:", "previous": "" } }
                                    </div>
                                </div>
                            </div>

                            <div class="card">
                                <div class="card-header" role="tab" id="headingThree">
                                    <a class="collapsed" data-toggle="collapse" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree" class="text-muted">
                                        <strong data-i18n="INPUT">INPUT</strong>
                                    </a>
                                </div>
                                <div id="collapseThree" class="collapse" data-parent="#accordion" role="tabpanel" aria-labelledby="headingThree">
                                    <div class="card-body">
                                        { "answer": { "type": "input", "inputs": [ { "id": "a1_1_1", "placeholder": "Antwort hier schreiben" } ] }, "question": { "id": "q1_1_1", "next": "q2", "hidden": true, "options": { "subquestion_to_id": "" }, "previous": "" } }
                                    </div>
                                </div><!-- collapse -->
                            </div><!-- card -->

                            <div class="card">
                                <div class="card-header" role="tab" id="headingFour">
                                    <a class="collapsed" data-toggle="collapse" href="#collapseFour" aria-expanded="false" aria-controls="collapseFour" class="text-muted">
                                        <strong data-i18n="RANGE">RANGE</strong>
                                    </a>
                                </div>
                                <div id="collapseFour" class="collapse" data-parent="#accordion" role="tabpanel" aria-labelledby="headingFour">
                                    <div class="card-body">
                                        { "answer": { "type": "range", "options": { "id": "a1", "max": 100, "min": 5, "default": 42 } }, "question": { "id": "q1", "next": "q2", "text": "Was ist die Lösung auf alles?", "previous": "" } }
                                    </div>
                                </div><!-- collapse -->
                            </div><!-- card -->

                            <div class="card">
                                <div class="card-header" role="tab" id="headingFive">
                                    <a class="collapsed" data-toggle="collapse" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive" class="text-muted">
                                        <strong data-i18n="STARS">STARS</strong>
                                    </a>
                                </div>
                                <div id="collapseFive" class="collapse" data-parent="#accordion" role="tabpanel" aria-labelledby="headingFive">
                                    <div class="card-body">
                                        { "answer": { "options": { "default": 1, "id": "a10" }, "type": "stars" }, "question": { "id": "q10", "next": "", "previous": "q9", "text": "Wie zufrieden waren Sie?" } }
                                    </div>
                                </div><!-- collapse -->
                            </div><!-- card -->

                        </div>
                    </div></div>
                </div>
            <div class="modal-footer"></div>
        </div>
    </div>
</div>


<!-- share link modal -->
<div id="shareEventModal" class="modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-content-demo">
            <div class="modal-header">
                <h6 class="modal-title" data-i18n="Share invitation">Share invitation</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <img id="ShareQrCode" src=""/>
                <h6 data-i18n="Share with link">Share with link</h6>
                <div id="textAndCopy" class="d-flex">
                    <input id="shareEventLink" type="text" class="form-control mg-r-10" value="Linkgenerierung fehlgeschlagen">
                    <button id="btnCopyInviteLink" class="btn btn-indigo btn-block rounded" data-i18n="copy link">copy link</button>
                </div>
                <div id="success" class="alert alert-success d-flex hidden"></div>
                <div id="failure" class="alert alert-danger d-flex hidden"></div>
            </div>
        </div>
    </div>
</div>

{% with select2=false, bootstrapdatetimepicker=false, momentjs=true, perfectscrollbar=true, chartjs=false %}
{% include 'snippets/global-script-include.tpl' %}
{% endwith %}
{% with circuit="questionaire_statistic" %}
{% include 'snippets/framework-script.tpl' %}
{% endwith %}
{% with show_menu=false, show_copyright=true %}
{% include 'snippets/parametric/pb-footer.tpl' %}
{% endwith %}
</body>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        let dropdown = document.getElementById('questionaire_dropdown');
        let chosenQuestionnaire = document.getElementById('chosenQuestionnaire');

        dropdown.addEventListener('change', function() {
            chosenQuestionnaire.value = dropdown.value;
        });
    });
</script>
</html>